For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL

Google URL scraper retrieves content from any Google page with ease. Simple integration with code examples for multiple languages.

The google source is designed to retrieve content from various Google URLs. This means that instead of sending multiple parameters, you can provide us with a direct URL to the required Google page. We do not strip any parameters or alter your URLs in any other way.

Request samples

In the example below, the API will retrieve a Google Scholar search page.

curl 'https://data.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "google",
        "url": "https://scholar.google.com/scholar?hl=en&q=newton&btnG=&as_sdt=1%2C5&as_sdtp="
    }'
import requests
from pprint import pprint

# Structure payload.
payload = {
    'source': 'google',
    'url': 'https://scholar.google.com/scholar?hl=en&q=newton&btnG=&as_sdt=1%2C5&as_sdtp='
}

# Get response.
response = requests.request(
    'POST',
    'https://data.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# The response contains the job details, including the job ID.
# Use the ID to check the job status and retrieve the results.
pprint(response.json())

We use the Push-Pull integration method in our examples. Submitting a job returns the job ID immediately, not the result. Once the job status is done, retrieve the results with GET https://data.oxylabs.io/v1/queries/{job_id}/results. See Push-Pull for checking the job status, callbacks and batch queries.

Request parameter values

Generic

Basic setup and customization options for scraping Google URLs.

Parameter
Description
Default Value

source

Sets the scraper when set to google.

–

url

Direct URL (link) to the Google page. Supports Google Advanced Search Operators.

–

render

Enables JavaScript rendering when set to html. More info.

–

parse

Returns parsed data when set to true. Limited to URLs of specific Google page types.

–

callback_url

URL to your callback endpoint. More info

–

user_agent_type

Device type and browser. The full list can be found here.

desktop

geo_location

The geographical location that the result should be adapted for. Using this parameter correctly is extremely important to get the right data. For more information, read about our suggested geo_location parameter structures here.

–

- mandatory parameter

Output example

Last updated

Was this helpful?